Name:           glibd
Version:        2.0.2
Release:        1%{?dist}
Summary:        D bindings for the GLib C Utility Library

License:        LGPLv3+ with exceptions
URL:            https://github.com/gtkd-developers/GlibD
Source0:        %{url}/archive/v%{version}/GlibD-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  ldc
BuildRequires:  meson

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gir-to-d >= 0.17.0

ExclusiveArch:  %{ldc_arches}

%description
%{summary}.


%package devel
Summary:        Development files for using %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the development files for building
applications that use %{name}.

%prep
%autosetup -n GlibD-%{version}

# Fix version in meson.build
sed -e "s/    version: '.*'/    version: '%{version}'/" -i meson.build

%build
# Drop '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld' as LDC doesn't support it
export LDFLAGS="-Wl,-z,relro"
# Export DFLAGS
export DFLAGS="%{_d_optflags}"
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license COPYING
%doc AUTHORS README.md
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_d_includedir}/glibd-2/


%changelog
* Fri Feb 01 2019 Neal Gompa <ngompa13@gmail.com> - 2.0.2-1
- Initial packaging
